package soa.sca.samples.candystore;

import javax.xml.ws.WebFault;

@WebFault(name="notFoundFault", targetNamespace="http://candystore.samples.sca.soa/")
public class NotFoundException extends Exception {

	static final long serialVersionUID=1;
	
    private int fault;
    
    /**
     * @param  message the detail message 
     * @param  cause the cause.  (A <tt>null</tt> value is permitted, 
     *         and indicates that the cause is nonexistent or unknown.)
     */
    public NotFoundException(String message, Throwable cause) {
        super(message,cause);
    }
    
    /**
     * @param  message the detail message 
     * @param  fault  A non-zero return code
     */
    public NotFoundException(String message, int fault) {
        super(message);
        this.fault = fault;
    }
    
    /**
     * @param  message the detail message 
     * @param  fault  A non-zero return code
     * @param  cause the cause.  (A <tt>null</tt> value is permitted, 
     *         and indicates that the cause is nonexistent or unknown.)
     */
    public NotFoundException(String message, int fault, Throwable cause) {
        super(message,cause);
        this.fault = fault;
    }
    
    /**
     * @return The fault value.  The type here must be one for which Java/XML conversion is supported, (like 'int').  
     * In other words, at present, this type should be a primitive type or an SDO, but not a non-SDO POJO type nor 
     * an array/collection type like int[].
     */
    public int getFaultInfo() {
        return this.fault;
    }

    
}
