package soa.sca.samples.candystore;

import java.util.ArrayList;
import java.util.List;

import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Scope;
import org.osoa.sca.annotations.Service;


@Service(StoreService.class)
@Scope("COMPOSITE")
public class StoreServiceImpl implements StoreService {
	
	@Reference
	public Catalog catalog;
	
	@Reference
	public Cart shoppingCart;

	@Reference
	public Total shoppingTotal;

	public String add(String itemName, int quantity) {
		
        List<Item> items = catalog.get();
        
        //Get the size of the current cart
        List<Entry<String,Item>> cartContents = shoppingCart.getAll();
        int cartSize = cartContents.size();
        
        
        for (Item item: items) {
            if (item.getName().startsWith(itemName)) {

                for (int i = 1; i <= quantity; i++) {
                    shoppingCart.post("Item" + (cartSize + i), item);
                }
                
                return shoppingTotal.getTotal();
            }
        }
        
        return "";
    }

	public String checkoutCart() {
		// TODO Auto-generated method stub
		return "";
	}

    public void deleteCart() throws NotFoundException {

        shoppingCart.delete("");

	}

	public List<Record> getCartProducts() {
		List<Entry<String, Item>> entries = shoppingCart.getAll();
		
		List<Record> recordList = new ArrayList<Record>();
		final ObjectFactory objectFactory = new ObjectFactory();
		
		for (Entry<String,Item> cartItem : entries) {
			Record record = objectFactory.createRecord();
			Product product = objectFactory.createProduct();
			
			
			product.setName(cartItem.getData().getName());
			product.setPrice(cartItem.getData().getPrice());
					
			record.setKey(cartItem.getKey());
			record.setData(product);
			recordList.add(record);
				
		}
		
		return recordList;
	}

	public List<Product> getCatalogProducts() {
		List<Item> items = catalog.get();
		List<Product> productList = new ArrayList<Product>();
		
		final ObjectFactory objectFactory = new ObjectFactory();
		
		for (Item item : items){
			Product product = objectFactory.createProduct();
			product.setName(item.getName());
			product.setPrice(item.getPrice());
			productList.add(product);
			
		}
		
		return productList;
	}
	
	public String getTotal() {
		
		return shoppingTotal.getTotal();
	}
	


}
