package soa.sca.samples.candystore;

import java.util.List;

import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Scope;
import org.osoa.sca.annotations.Service;


@Service(Store.class)
@Scope("COMPOSITE")
public class StoreImpl implements Store {
	
	@Reference
	public Catalog catalog;
	
	@Reference
	public Cart shoppingCart;

	@Reference
	public Total shoppingTotal;

	public String add(String itemName, int quantity) {
		
        List<Item> items = catalog.get();
        
        //Get the size of the current cart
        List<Entry<String,Item>> cartContents = shoppingCart.getAll();
        int cartSize = cartContents.size();
        
        
        for (Item item: items) {
            if (item.getName().startsWith(itemName)) {

                for (int i = 1; i <= quantity; i++) {
                    shoppingCart.post("Item" + (cartSize + i), item);
                }
                
                return shoppingTotal.getTotal();
            }
        }
        
        return "";
    }

	public String checkoutCart() {
		// TODO Auto-generated method stub
		return "";
	}

    public void deleteCart() throws NotFoundException {

        shoppingCart.delete("");

	}

	public List<Entry<String, Item>> getCartItems() {
		return shoppingCart.getAll();
	}

	public List<Item> getCatalogItems() {
		return catalog.get();
	}
	
	public String getTotal() {
		
		return shoppingTotal.getTotal();
	}


}
