package soa.sca.samples.multiservice;

import javax.xml.ws.WebFault;

@WebFault(name="scaServiceFault", targetNamespace="http://www.ibm.com/soa/sca/samples/multiservice")
public class SCAServiceException extends Exception {

    private int fault;
    
    /**
     * @param  message the detail message 
     * @param  cause the cause.  (A <tt>null</tt> value is permitted, 
     *         and indicates that the cause is nonexistent or unknown.)
     */
    public SCAServiceException(String message, Throwable cause) {
        super(message,cause);
    }
    
    /**
     * @param  message the detail message 
     * @param  fault  A non-zero return code
     */
    public SCAServiceException(String message, int fault) {
        super(message);
        this.fault = fault;
    }
    
    /**
     * @param  message the detail message 
     * @param  fault  A non-zero return code
     * @param  cause the cause.  (A <tt>null</tt> value is permitted, 
     *         and indicates that the cause is nonexistent or unknown.)
     */
    public SCAServiceException(String message, int fault, Throwable cause) {
        super(message,cause);
        this.fault = fault;
    }
    
    /**
     * @return The fault value.  The type here must be one for which Java/XML conversion is supported, (like 'int').  
     * In other words, at present, this type should be a primitive type or an SDO, but not a non-SDO POJO type nor 
     * an array/collection type like int[].
     */
    public int getFaultInfo() {
        return this.fault;
    }

    
}
