package samples.mybank;

import java.text.NumberFormat;

import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Vector;

import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Service;

import com.mybank.account.AccountReport;
import com.mybank.account.AccountService;
import com.mybank.account.AccountSummary;

@Service(AccountSummaryService.class)
public class AccountSummaryServiceImpl implements AccountSummaryService {

    private AccountService accountService;

    @Reference
    public void setAccountService(AccountService accountService) {
        this.accountService = accountService;
    }

    public List<String> getAccountSummary(String name) {
        String msg = "The account summary is: \n" ;
        List<String> summaryStrings = new Vector<String>();
        
        int accountNumber = Integer.parseInt(name);
        AccountReport report = accountService.getAccountReport(accountNumber);
                
        List<AccountSummary> summaryList = report.getAccountSummaries();
        for(Iterator<AccountSummary> i = summaryList.iterator();i.hasNext();) {
            AccountSummary summary = i.next();
            //Format balance 
            Float balance = summary.getBalance();
            NumberFormat n = NumberFormat.getCurrencyInstance(Locale.US);
            String balanceString = n.format(balance);
            summaryStrings.add("ACCOUNT ID (" + summary.getAccountID() + ") ACCOUNT TYPE {" + summary.getAccountType() + ") BALANCE (" + balanceString + ")");
        }
        return summaryStrings;
    }
}
