/**
 * This sample program is provided AS IS and may be used, executed, copied and
 * modified without royalty payment by customer (a) for its own instruction and
 * study, (b) in order to develop applications designed to run with an IBM
 * WebSphere product, either for customer's own internal use or for redistribution
 * by customer, as part of such an application, in customer's own products.
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2006
 * All Rights Reserved
 * Licensed Materials - Property of IBM
*/

package com.app.jobbank;

import org.osoa.sca.annotations.Remotable;

@Remotable
public interface Company {

    /**
     *
     * This method gets compnay info. If the company is "ACME Corp" emthod returns
     * "Software firm". For any other company it returns "Non Software firm".
     *
     * @param String company name
     * @return Company type
     */
    String getCompanyInfo(String company);

    /**
     *
     * This method posts the resume to external jobbank system. External jobbank system is
     * running as reumebank ejb. This function demonstrates how component can invoke
     * EJB service through ejb reference binding
     *
     * @param String candidate resume
     * @return Confirmation number for the posting
     */
    String postResume(String resume);

}
