/**
 * This sample program is provided AS IS and may be used, executed, copied and
 * modified without royalty payment by customer (a) for its own instruction and
 * study, (b) in order to develop applications designed to run with an IBM
 * WebSphere product, either for customer's own internal use or for redistribution
 * by customer, as part of such an application, in customer's own products.
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2006
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 */

package com.app.jobbank;

import org.osoa.sca.ServiceRuntimeException;
import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Service;

import com.app.resumebank.ResumeBank;

@Service(Company.class)
public class CompanyImpl implements Company {

    private ResumeBank extEJBService = null;

    public ResumeBank getExtEJBService() {
        return extEJBService;
    }

    @Reference
    public void setExtEJBService(ResumeBank extEJBService) {
        this.extEJBService = extEJBService;
    }

    public String getCompanyInfo(String company) {
        System.out.println("In component implementation. Getting Companyinfo for " + company);
        if (company.equalsIgnoreCase("ACME Corp"))
            return "Software firm";
        else
            return "Non Software firm";
    }

    // this method invokes external EJB through a reference with EJB binding
    public String postResume(String resume) {
        if (resume == null)
            return null;

        System.out.println("In component implementation. Posting Resume " + resume);

        String result;
        try {
            result = extEJBService.postResume(resume);
        } catch (Exception e) {
            throw new ServiceRuntimeException(e);
        }
        return result;
    }
}
