/**
 * This sample program is provided AS IS and may be used, executed, copied and
 * modified without royalty payment by customer (a) for its own instruction and
 * study, (b) in order to develop applications designed to run with an IBM
 * WebSphere product, either for customer's own internal use or for redistribution
 * by customer, as part of such an application, in customer's own products.
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2008
 * All Rights Reserved
 * Licensed Materials - Property of IBM
*/
package com.app.jobbank.client;

import javax.naming.Context;
import javax.naming.InitialContext;

import com.app.jobbank.CompanyRemote;
import com.app.jobbank.CompanyHome;

public class Main {

    public static void main(String[] args) {
        try {
            String companyName = "ACME Corp";
            String resume = "John Doe";
            Context initialContext = new InitialContext();
            System.out.println("");
            System.out.println("INVOKING SCA COMPONENT THROUGH COMPONENT SERVICE WITH EJB BINDING");

            // Access the component through SLSB at the service binding
            CompanyHome companyHome = (CompanyHome)initialContext.lookup("ejb/sca/ejbbinding/CompanyComponent/Company");
            CompanyRemote company = (CompanyRemote) companyHome.create();

            // Invoke component service --- > component
            String result = company.getCompanyInfo(companyName);
            System.out.println("Getting company info for Company: " + companyName);
            System.out.println("Result from SCA Component. Company type: "  + result );

            System.out.println("");
            // Invoke component service(ejb binding) --> component impl --> component reference (ejb binding) -- > external EJB
            System.out.println("INVOKING COMPONENT SERVICE->COMPONENT->COMPONENT REFERENCE->EXTERNAL EJB");
            System.out.println("Posting resume:  " + resume );
            String confirmNo = company.postResume(resume);

            System.out.println("Confirmation number: "+  confirmNo);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
